Skip to main content
Resource Center/Resource Pool/Affinity Group Operations
PUTAffinity Group OperationsSince 2.3SynchronousAuth Required

UpdateAffinityGroup

UpdateAffinityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateaffinitygroupObjectRequired

    updateaffinitygroup request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAffinityGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • policyStringRequired

      The affinity group policy.

    • versionStringRequired

      The version of the affinity group allocation algorithm.

    • typeStringRequired

      The affinity group type. The current type is host. In the future, network, router, data center, and rack affinity groups will be supported.

    • applianceStringRequired

      The affinity group appliance.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usagesListRequired

      See usages.

      • uuidStringRequired

        The resource binding UUID of the affinity group.

      • affinityGroupUuidStringRequired

        The affinity group UUID.

      • resourceUuidStringRequired

        The UUID of the resource that joins the affinity group.

      • resourceTypeStringRequired

        The type of the resource that joins the affinity group.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/affinity-groups/{uuid}/actions

/zstack/v1/affinity-groups/{uuid}/actions

Operation ID

UpdateAffinityGroup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/affinity-groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateaffinitygroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "f8c3b350df9a3bfd960359f302a4fba2", "name": "affinity group", "description": "affinity group for test", "policy": "ANTISOFT", "type": "HOST" } }

Change History

This API has no change history records yet.

View all change history